library OrderAndGD;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_RTFun in '..\Z99Dependency\RTFunAndForm\Fun\U_RTFun.pas',
  U_ModuleNote in 'U_ModuleNote.pas' {frmModuleNote},
  U_DataLink in 'U_DataLink.pas' {DataLink_OrderAndGD: TDataModule},
  U_ZDYHelpSel in 'U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_iniParam in 'U_iniParam.pas',
  U_ZDYHelp in 'U_ZDYHelp.pas' {frmZDYHelp},
  U_PRTOrderList in 'U_PRTOrderList.pas' {frmPRTOrderList},
  U_ZdyAttachment in 'U_ZdyAttachment.pas' {frmZdyAttachment},
  U_CPManageTPCX in 'U_CPManageTPCX.pas' {frmCPManageTPCX},
  U_GYSList in 'U_GYSList.pas' {frmGYSList},
  U_OrderSubSel in 'U_OrderSubSel.pas' {frmOrderSubSel},
  U_BPJHInPut in 'U_BPJHInPut.pas' {frmBPJHInPut},
  U_GDCKList in 'U_GDCKList.pas' {frmGDCKList},
  U_SYUserView in 'U_SYUserView.pas' {frmSYUserView},
  U_BPTPList in 'U_BPTPList.pas' {frmBPTPList};

// U_SelfForm in '..\..\SelfForm\U_SelfForm.pas',
 // U_SelExportField in '..\..\SelfForm\U_SelExportField.pas' {frmSelExportField},
 // U_SelPrintField in '..\..\SelfForm\U_SelPrintField.pas' {frmSelPrintField},
 // U_SelPrintFieldNew in '..\..\SelfForm\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  //U_FormPas in '..\CommonPas\formPas\U_FormPas.pas',
  //U_CxGridSet in '..\CommonPas\cxgridPas\U_CxGridSet.pas';

//U_RSFormPas in '..\CommonPas\RSCommon\U_RSFormPas.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

